ao-bringup: Find dfu-util in $PATH for chaoskey
[fw/altos] / ao-bringup / turnon_chaoskey
index 50460008f2479717c2d226a341f3858e7bc4bb45..9ad809122bd847139239ebc77d10b56a1886c96f 100755 (executable)
@@ -1,14 +1,14 @@
 #!/bin/sh
 
-if [ -x /usr/bin/dfu-util ]; then
-    DFU_UTIL=/usr/bin/dfu-util
+if [ -x `which dfu-util` ]; then
+    DFU_UTIL=`which dfu-util`
 else
     echo "Can't find dfu-util! Aborting."
     exit 1
 fi
 
-if [ -x /usr/bin/ao-usbload ]; then
-       USBLOAD=/usr/bin/ao-usbload
+if [ -x `which ao-usbload` ]; then
+       USBLOAD=`which ao-usbload`
 else
        echo "Can't find ao-usbload!  Aborting."
        exit 1
@@ -24,18 +24,17 @@ echo "Expectations:"
 echo "\tChaosKey v$VERSION powered from USB"
 echo
 
-$DFU_UTIL -a 0 -s 0x08000000:leave -D ../src/chaoskey-v$VERSION/flash-loader/chaoskey-v$VERSION*.bin || exit 1
+FLASH_FILE=~/altusmetrumllc/Binaries/chaoskey-v1.0-all-*.bin
+#ALTOS_FILE=~/altusmetrumllc/Binaries/chaoskey-v1.0-*.elf
 
-sleep 2
+$DFU_UTIL -a 0 -s 0x08000000:leave -D $FLASH_FILE || true
 
-$USBLOAD --serial=1 ../src/chaoskey-v$VERSION/chaoskey-v$VERSION*.ihx || exit 1
+#sleep 2
 
-sleep 1
+#$USBLOAD --serial=1 $ALTOS_FILE || exit 1
 
-serial=`dmesg | grep 'on chaoskey' | tail -1 | sed 's/.*chaoskey \([0-9a-f][0-9a-f]*\) on chaoskey.*/\1/'`
+sleep 3
 
-echo 'Testing ChaosKey' $serial
-
-./test-chaoskey $serial
+./test-chaoskey
 
 exit $?